Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Automatically generated files
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 VPATH = @srcdir@
22 pkgdatadir = $(datadir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkgincludedir = $(includedir)/@PACKAGE@
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 target_triplet = @target@
40 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3)
41 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
42         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
43 subdir = testsuite
44 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
46         $(top_srcdir)/acmacro/compiler-flags.m4 \
47         $(top_srcdir)/acmacro/context.m4 \
48         $(top_srcdir)/acmacro/fancy_configury.m4 \
49         $(top_srcdir)/acmacro/flex.m4 \
50         $(top_srcdir)/acmacro/gras_arch.m4 \
51         $(top_srcdir)/acmacro/print_null.m4 \
52         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
53 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
54         $(ACLOCAL_M4)
55 mkinstalldirs = $(install_sh) -d
56 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
57 CONFIG_CLEAN_FILES = run_tests
58 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
59         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
60 am__EXEEXT_2 = surf/maxmin_bench$(EXEEXT) surf/lmm_usage$(EXEEXT) \
61         surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
62         surf/surf_usage2$(EXEEXT)
63 am__EXEEXT_3 = simdag/sd_test$(EXEEXT)
64 simdag_sd_test_SOURCES = simdag/sd_test.c
65 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
66 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
67 am__dirstamp = $(am__leading_dot)dirstamp
68 surf_lmm_usage_SOURCES = surf/lmm_usage.c
69 surf_lmm_usage_OBJECTS = lmm_usage.$(OBJEXT)
70 surf_lmm_usage_DEPENDENCIES = $(LDADD_SG)
71 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
72 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
73 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
74 surf_surf_usage_SOURCES = surf/surf_usage.c
75 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
76 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
77 surf_surf_usage2_SOURCES = surf/surf_usage2.c
78 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
79 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
80 surf_trace_usage_SOURCES = surf/trace_usage.c
81 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
82 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
83 xbt_context_usage_SOURCES = xbt/context_usage.c
84 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
85 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
86 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
87 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
88 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
89 xbt_heap_bench_SOURCES = xbt/heap_bench.c
90 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
91 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
92 xbt_log_usage_SOURCES = xbt/log_usage.c
93 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
94 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
95 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
96 depcomp = $(SHELL) $(top_srcdir)/depcomp
97 am__depfiles_maybe = depfiles
98 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
99         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
100 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
101         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
102         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
103 CCLD = $(CC)
104 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
105         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
106         $(LDFLAGS) -o $@
107 SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
108         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
109         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
110         xbt/log_usage.c
111 DIST_SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
112         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
113         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
114         xbt/log_usage.c
115 ETAGS = etags
116 CTAGS = ctags
117 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
118 ACLOCAL = @ACLOCAL@
119 ADDR2LINE = @ADDR2LINE@
120 AMTAR = @AMTAR@
121 AM_CPPFLAGS = @AM_CPPFLAGS@
122 AR = @AR@
123 AS = @AS@
124 AUTOCONF = @AUTOCONF@
125 AUTOHEADER = @AUTOHEADER@
126 AUTOMAKE = @AUTOMAKE@
127 AWK = @AWK@
128 BASH = @BASH@
129 CC = @CC@
130 CCDEPMODE = @CCDEPMODE@
131 CFLAGS = @CFLAGS@
132 CPP = @CPP@
133 CPPFLAGS = @CPPFLAGS@
134 CXX = @CXX@
135 CXXCPP = @CXXCPP@
136 CXXDEPMODE = @CXXDEPMODE@
137 CXXFLAGS = @CXXFLAGS@
138 CYGPATH_W = @CYGPATH_W@
139 DEFS = @DEFS@
140 DEPDIR = @DEPDIR@
141 DLLTOOL = @DLLTOOL@
142 DOXYGEN = @DOXYGEN@
143 ECHO = @ECHO@
144 ECHO_C = @ECHO_C@
145 ECHO_N = @ECHO_N@
146 ECHO_T = @ECHO_T@
147 EGREP = @EGREP@
148 EXEEXT = @EXEEXT@
149 FLEXML = @FLEXML@
150 GCJ = @GCJ@
151 GCJDEPMODE = @GCJDEPMODE@
152 GCJFLAGS = @GCJFLAGS@
153 GRAS_DEP = @GRAS_DEP@
154 GREP = @GREP@
155 INSTALL = @INSTALL@
156 INSTALL_DATA = @INSTALL_DATA@
157 INSTALL_PROGRAM = @INSTALL_PROGRAM@
158 INSTALL_SCRIPT = @INSTALL_SCRIPT@
159 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
160 JAR = @JAR@
161 JAVA = @JAVA@
162 JAVAC = @JAVAC@
163 LDFLAGS = @LDFLAGS@
164 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
165 LEX = @LEX@
166 LEXLIB = @LEXLIB@
167 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
168 LIBOBJS = @LIBOBJS@
169 LIBS = @LIBS@
170 LIBTOOL = @LIBTOOL@
171 LN_S = @LN_S@
172 LTLIBOBJS = @LTLIBOBJS@
173 MAINT = @MAINT@
174 MAKEINFO = @MAKEINFO@
175 MD5SUM = @MD5SUM@
176 MKDIR_P = @MKDIR_P@
177 OBJDUMP = @OBJDUMP@
178 OBJEXT = @OBJEXT@
179 PACKAGE = @PACKAGE@
180 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
181 PACKAGE_NAME = @PACKAGE_NAME@
182 PACKAGE_STRING = @PACKAGE_STRING@
183 PACKAGE_TARNAME = @PACKAGE_TARNAME@
184 PACKAGE_VERSION = @PACKAGE_VERSION@
185 PATH_SEPARATOR = @PATH_SEPARATOR@
186 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
187 RANLIB = @RANLIB@
188 SET_MAKE = @SET_MAKE@
189 SHELL = @SHELL@
190 SIMGRID_DEP = @SIMGRID_DEP@
191 SMPI_DEP = @SMPI_DEP@
192 STRIP = @STRIP@
193 VERSION = @VERSION@
194 WARNING = @WARNING@
195 abs_builddir = @abs_builddir@
196 abs_srcdir = @abs_srcdir@
197 abs_top_builddir = @abs_top_builddir@
198 abs_top_srcdir = @abs_top_srcdir@
199 ac_configure_args = @ac_configure_args@
200 ac_ct_CC = @ac_ct_CC@
201 ac_ct_CXX = @ac_ct_CXX@
202 am__include = @am__include@
203 am__leading_dot = @am__leading_dot@
204 am__quote = @am__quote@
205 am__tar = @am__tar@
206 am__untar = @am__untar@
207 bindir = @bindir@
208 build = @build@
209 build_alias = @build_alias@
210 build_cpu = @build_cpu@
211 build_id = @build_id@
212 build_os = @build_os@
213 build_vendor = @build_vendor@
214 builddir = @builddir@
215 datadir = @datadir@
216 datarootdir = @datarootdir@
217 docdir = @docdir@
218 dvidir = @dvidir@
219 exec_prefix = @exec_prefix@
220 host = @host@
221 host_alias = @host_alias@
222 host_cpu = @host_cpu@
223 host_os = @host_os@
224 host_vendor = @host_vendor@
225 htmldir = @htmldir@
226 includedir = @includedir@
227 infodir = @infodir@
228 install_sh = @install_sh@
229 libdir = @libdir@
230 libexecdir = @libexecdir@
231 localedir = @localedir@
232 localstatedir = @localstatedir@
233 mandir = @mandir@
234 mkdir_p = @mkdir_p@
235 oldincludedir = @oldincludedir@
236 pdfdir = @pdfdir@
237 prefix = @prefix@
238 program_transform_name = @program_transform_name@
239 psdir = @psdir@
240 pth_skaddr_makecontext = @pth_skaddr_makecontext@
241 pth_sksize_makecontext = @pth_sksize_makecontext@
242 sbindir = @sbindir@
243 sharedstatedir = @sharedstatedir@
244 srcdir = @srcdir@
245 sysconfdir = @sysconfdir@
246 target = @target@
247 target_alias = @target_alias@
248 target_cpu = @target_cpu@
249 target_os = @target_os@
250 target_vendor = @target_vendor@
251 top_builddir = @top_builddir@
252 top_srcdir = @top_srcdir@
253 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
254 AM_CFLAGS = -g
255 CLEANFILES = *~ test a.out *.o testgraph.xml testgraph.dot
256 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
257 EXTRA_DIST = run_tests.in \
258   xbt/graph.xml \
259   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
260   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
261
262
263 # Test stuff
264 xbt_tests = \
265         xbt/log_usage                                            \
266         xbt/heap_bench                                           \
267         xbt/graphxml_usage                                       \
268         xbt/context_usage                                        
269
270 SG_tests = \
271         surf/maxmin_bench surf/lmm_usage \
272         surf/trace_usage surf/surf_usage surf/surf_usage2
273
274 simdag_tests = simdag/sd_test
275 check_SCRIPTS = run_tests 
276 TESTS = run_tests
277
278 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
279 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
280 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
281 xbt_log_usage_LDADD = $(LDADD_RL)
282 xbt_heap_bench_LDADD = $(LDADD_RL)
283 xbt_graphxml_usage_LDADD = $(LDADD_SG)
284 xbt_context_usage_LDADD = $(LDADD_SG)
285 surf_maxmin_bench_LDADD = $(LDADD_SG)
286 surf_lmm_usage_LDADD = $(LDADD_SG)
287 surf_trace_usage_LDADD = $(LDADD_SG)
288 surf_surf_usage_LDADD = $(LDADD_SG)
289 surf_surf_usage2_LDADD = $(LDADD_SG)
290 simdag_sd_test_LDADD = $(LDADD_SG)
291 all: all-am
292
293 .SUFFIXES:
294 .SUFFIXES: .c .lo .o .obj
295 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
296         @for dep in $?; do \
297           case '$(am__configure_deps)' in \
298             *$$dep*) \
299               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
300                 && exit 0; \
301               exit 1;; \
302           esac; \
303         done; \
304         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
305         cd $(top_srcdir) && \
306           $(AUTOMAKE) --gnu  testsuite/Makefile
307 .PRECIOUS: Makefile
308 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
309         @case '$?' in \
310           *config.status*) \
311             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
312           *) \
313             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
314             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
315         esac;
316
317 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
318         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
319
320 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
321         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
322 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
323         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
324 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
325         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
326
327 clean-checkPROGRAMS:
328         @list='$(check_PROGRAMS)'; for p in $$list; do \
329           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
330           echo " rm -f $$p $$f"; \
331           rm -f $$p $$f ; \
332         done
333 simdag/$(am__dirstamp):
334         @$(MKDIR_P) simdag
335         @: > simdag/$(am__dirstamp)
336 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
337         @rm -f simdag/sd_test$(EXEEXT)
338         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
339 surf/$(am__dirstamp):
340         @$(MKDIR_P) surf
341         @: > surf/$(am__dirstamp)
342 surf/lmm_usage$(EXEEXT): $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_DEPENDENCIES) surf/$(am__dirstamp)
343         @rm -f surf/lmm_usage$(EXEEXT)
344         $(LINK) $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_LDADD) $(LIBS)
345 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
346         @rm -f surf/maxmin_bench$(EXEEXT)
347         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
348 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
349         @rm -f surf/surf_usage$(EXEEXT)
350         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
351 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
352         @rm -f surf/surf_usage2$(EXEEXT)
353         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
354 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
355         @rm -f surf/trace_usage$(EXEEXT)
356         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
357 xbt/$(am__dirstamp):
358         @$(MKDIR_P) xbt
359         @: > xbt/$(am__dirstamp)
360 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
361         @rm -f xbt/context_usage$(EXEEXT)
362         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
363 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
364         @rm -f xbt/graphxml_usage$(EXEEXT)
365         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
366 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
367         @rm -f xbt/heap_bench$(EXEEXT)
368         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
369 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
370         @rm -f xbt/log_usage$(EXEEXT)
371         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
372
373 mostlyclean-compile:
374         -rm -f *.$(OBJEXT)
375
376 distclean-compile:
377         -rm -f *.tab.c
378
379 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
380 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
381 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
382 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lmm_usage.Po@am__quote@
383 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
384 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
385 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
386 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
387 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
388 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
389
390 .c.o:
391 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
392 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
393 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
394 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
395 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
396
397 .c.obj:
398 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
399 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
400 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
401 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
402 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
403
404 .c.lo:
405 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
406 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
407 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
408 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
409 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
410
411 sd_test.o: simdag/sd_test.c
412 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
413 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
414 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
415 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
416 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
417
418 sd_test.obj: simdag/sd_test.c
419 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
420 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
421 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
423 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
424
425 lmm_usage.o: surf/lmm_usage.c
426 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.o -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
427 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
428 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.o' libtool=no @AMDEPBACKSLASH@
429 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
430 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
431
432 lmm_usage.obj: surf/lmm_usage.c
433 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.obj -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
434 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
435 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.obj' libtool=no @AMDEPBACKSLASH@
436 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
437 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
438
439 maxmin_bench.o: surf/maxmin_bench.c
440 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
441 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
442 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
443 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
444 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
445
446 maxmin_bench.obj: surf/maxmin_bench.c
447 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
448 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
449 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
450 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
451 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
452
453 surf_usage.o: surf/surf_usage.c
454 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
455 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
456 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
457 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
458 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
459
460 surf_usage.obj: surf/surf_usage.c
461 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
462 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
463 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
464 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
465 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
466
467 surf_usage2.o: surf/surf_usage2.c
468 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
469 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
470 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
471 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
472 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
473
474 surf_usage2.obj: surf/surf_usage2.c
475 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
476 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
477 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
478 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
479 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
480
481 trace_usage.o: surf/trace_usage.c
482 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
483 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
484 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
485 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
486 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
487
488 trace_usage.obj: surf/trace_usage.c
489 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
490 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
491 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
492 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
493 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
494
495 context_usage.o: xbt/context_usage.c
496 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
497 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
498 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
499 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
500 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
501
502 context_usage.obj: xbt/context_usage.c
503 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
504 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
505 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
506 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
507 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
508
509 graphxml_usage.o: xbt/graphxml_usage.c
510 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
511 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
512 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
513 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
514 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
515
516 graphxml_usage.obj: xbt/graphxml_usage.c
517 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
518 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
519 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
520 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
521 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
522
523 heap_bench.o: xbt/heap_bench.c
524 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
525 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
526 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
527 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
528 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
529
530 heap_bench.obj: xbt/heap_bench.c
531 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
532 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
533 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
534 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
535 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
536
537 log_usage.o: xbt/log_usage.c
538 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
539 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
540 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
541 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
542 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
543
544 log_usage.obj: xbt/log_usage.c
545 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
546 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
547 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
548 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
549 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
550
551 mostlyclean-libtool:
552         -rm -f *.lo
553
554 clean-libtool:
555         -rm -rf .libs _libs
556
557 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
558         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
559         unique=`for i in $$list; do \
560             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
561           done | \
562           $(AWK) '    { files[$$0] = 1; } \
563                END { for (i in files) print i; }'`; \
564         mkid -fID $$unique
565 tags: TAGS
566
567 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
568                 $(TAGS_FILES) $(LISP)
569         tags=; \
570         here=`pwd`; \
571         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
572         unique=`for i in $$list; do \
573             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
574           done | \
575           $(AWK) '    { files[$$0] = 1; } \
576                END { for (i in files) print i; }'`; \
577         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
578           test -n "$$unique" || unique=$$empty_fix; \
579           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
580             $$tags $$unique; \
581         fi
582 ctags: CTAGS
583 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
584                 $(TAGS_FILES) $(LISP)
585         tags=; \
586         here=`pwd`; \
587         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
588         unique=`for i in $$list; do \
589             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
590           done | \
591           $(AWK) '    { files[$$0] = 1; } \
592                END { for (i in files) print i; }'`; \
593         test -z "$(CTAGS_ARGS)$$tags$$unique" \
594           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
595              $$tags $$unique
596
597 GTAGS:
598         here=`$(am__cd) $(top_builddir) && pwd` \
599           && cd $(top_srcdir) \
600           && gtags -i $(GTAGS_ARGS) $$here
601
602 distclean-tags:
603         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
604
605 check-TESTS: $(TESTS)
606         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
607         srcdir=$(srcdir); export srcdir; \
608         list=' $(TESTS) '; \
609         if test -n "$$list"; then \
610           for tst in $$list; do \
611             if test -f ./$$tst; then dir=./; \
612             elif test -f $$tst; then dir=; \
613             else dir="$(srcdir)/"; fi; \
614             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
615               all=`expr $$all + 1`; \
616               case " $(XFAIL_TESTS) " in \
617               *$$ws$$tst$$ws*) \
618                 xpass=`expr $$xpass + 1`; \
619                 failed=`expr $$failed + 1`; \
620                 echo "XPASS: $$tst"; \
621               ;; \
622               *) \
623                 echo "PASS: $$tst"; \
624               ;; \
625               esac; \
626             elif test $$? -ne 77; then \
627               all=`expr $$all + 1`; \
628               case " $(XFAIL_TESTS) " in \
629               *$$ws$$tst$$ws*) \
630                 xfail=`expr $$xfail + 1`; \
631                 echo "XFAIL: $$tst"; \
632               ;; \
633               *) \
634                 failed=`expr $$failed + 1`; \
635                 echo "FAIL: $$tst"; \
636               ;; \
637               esac; \
638             else \
639               skip=`expr $$skip + 1`; \
640               echo "SKIP: $$tst"; \
641             fi; \
642           done; \
643           if test "$$failed" -eq 0; then \
644             if test "$$xfail" -eq 0; then \
645               banner="All $$all tests passed"; \
646             else \
647               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
648             fi; \
649           else \
650             if test "$$xpass" -eq 0; then \
651               banner="$$failed of $$all tests failed"; \
652             else \
653               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
654             fi; \
655           fi; \
656           dashes="$$banner"; \
657           skipped=""; \
658           if test "$$skip" -ne 0; then \
659             skipped="($$skip tests were not run)"; \
660             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
661               dashes="$$skipped"; \
662           fi; \
663           report=""; \
664           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
665             report="Please report to $(PACKAGE_BUGREPORT)"; \
666             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
667               dashes="$$report"; \
668           fi; \
669           dashes=`echo "$$dashes" | sed s/./=/g`; \
670           echo "$$dashes"; \
671           echo "$$banner"; \
672           test -z "$$skipped" || echo "$$skipped"; \
673           test -z "$$report" || echo "$$report"; \
674           echo "$$dashes"; \
675           test "$$failed" -eq 0; \
676         else :; fi
677
678 distdir: $(DISTFILES)
679         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
680         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
681         list='$(DISTFILES)'; \
682           dist_files=`for file in $$list; do echo $$file; done | \
683           sed -e "s|^$$srcdirstrip/||;t" \
684               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
685         case $$dist_files in \
686           */*) $(MKDIR_P) `echo "$$dist_files" | \
687                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
688                            sort -u` ;; \
689         esac; \
690         for file in $$dist_files; do \
691           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
692           if test -d $$d/$$file; then \
693             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
694             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
695               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
696             fi; \
697             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
698           else \
699             test -f $(distdir)/$$file \
700             || cp -p $$d/$$file $(distdir)/$$file \
701             || exit 1; \
702           fi; \
703         done
704 check-am: all-am
705         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
706         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
707 check: check-am
708 all-am: Makefile
709 installdirs:
710 install: install-am
711 install-exec: install-exec-am
712 install-data: install-data-am
713 uninstall: uninstall-am
714
715 install-am: all-am
716         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
717
718 installcheck: installcheck-am
719 install-strip:
720         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
721           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
722           `test -z '$(STRIP)' || \
723             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
724 mostlyclean-generic:
725
726 clean-generic:
727         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
728
729 distclean-generic:
730         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
731         -rm -f simdag/$(am__dirstamp)
732         -rm -f surf/$(am__dirstamp)
733         -rm -f xbt/$(am__dirstamp)
734         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
735
736 maintainer-clean-generic:
737         @echo "This command is intended for maintainers to use"
738         @echo "it deletes files that may require special tools to rebuild."
739 clean: clean-am
740
741 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
742         mostlyclean-am
743
744 distclean: distclean-am
745         -rm -rf ./$(DEPDIR)
746         -rm -f Makefile
747 distclean-am: clean-am distclean-compile distclean-generic \
748         distclean-tags
749
750 dvi: dvi-am
751
752 dvi-am:
753
754 html: html-am
755
756 info: info-am
757
758 info-am:
759
760 install-data-am:
761
762 install-dvi: install-dvi-am
763
764 install-exec-am:
765
766 install-html: install-html-am
767
768 install-info: install-info-am
769
770 install-man:
771
772 install-pdf: install-pdf-am
773
774 install-ps: install-ps-am
775
776 installcheck-am:
777
778 maintainer-clean: maintainer-clean-am
779         -rm -rf ./$(DEPDIR)
780         -rm -f Makefile
781 maintainer-clean-am: distclean-am maintainer-clean-generic
782
783 mostlyclean: mostlyclean-am
784
785 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
786         mostlyclean-libtool
787
788 pdf: pdf-am
789
790 pdf-am:
791
792 ps: ps-am
793
794 ps-am:
795
796 uninstall-am:
797
798 .MAKE: install-am install-strip
799
800 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
801         clean-checkPROGRAMS clean-generic clean-libtool ctags \
802         distclean distclean-compile distclean-generic \
803         distclean-libtool distclean-tags distdir dvi dvi-am html \
804         html-am info info-am install install-am install-data \
805         install-data-am install-dvi install-dvi-am install-exec \
806         install-exec-am install-html install-html-am install-info \
807         install-info-am install-man install-pdf install-pdf-am \
808         install-ps install-ps-am install-strip installcheck \
809         installcheck-am installdirs maintainer-clean \
810         maintainer-clean-generic mostlyclean mostlyclean-compile \
811         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
812         tags uninstall uninstall-am
813
814
815 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
816         ./run_tests
817 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
818         ./run_tests valgrind
819
820 dist-files:
821         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
822         @echo
823         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
824 # Tell versions [3.59,3.63) of GNU make to not export all variables.
825 # Otherwise a system limit (for SysV at least) may be exceeded.
826 .NOEXPORT: